package com.zcloud.mapper.datasource.keyProjects;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：重点工程检查
 * 作者：luoxiaobao
 * 时间：2022-09-19
 * 官网：www.zcloudchina.com
 */
public interface KeyprojectCheckMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	void confirm(PageData pd);

	/** 需要发送短信的列表(隐患待整改模板)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getSmsList(PageData pd);
}

